Subject: bug#76617: completing-read should accept spaces in require-match nil mode

From: Drew Adams <[email-masked]>
Date: Thu, 27 Feb 2025 22:18:27 +0000

> It's sometimes useful (especially when require-match nil) to enter text
> with spaces in completing read, but right now, that's inconvenient (you
> have to use C-q SPC) because we bind SPC to minibuffer-complete-word,
> which won't insert a space unless space matches some possible
> completion, and in require-match nil mode, there might not be a
> completion with a space in it.

Indeed.  Good luck!

Since 2005 (20 years ago), Icicles has made SPC self-inserting
during completion.  I tried, in vain, to get vanilla Emacs to
do the same.  Eventually Emacs did so for file-name completion
(only).

SPC and ? should be self-inserting.  How many more decades till
this sinks in?

For word completion, it's sufficient to bind M-SPC instead of
SPC (also done in 2005).